complexType "CalculationPeriodAmount"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 2 elements
Defined: | globally in fpml-ird-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | calculation | knownAmountSchedule
</...>

Content Model Elements (2):

  calculation (in calculationPeriodAmount), | knownAmountSchedule

All Direct / Indirect Based Elements (1):

  calculationPeriodAmount

Known Usage Locations

- As direct type of elements (1):
  calculationPeriodAmount

Annotation
A type defining the parameters used in the calculation of fixed or floating rate calculation period amounts or for specifying a known calculation period amount or known amount schedule.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="CalculationPeriodAmount"> <xsd:choice> <xsd:element name="calculation" type="Calculation"/> <xsd:element name="knownAmountSchedule" type="AmountSchedule"/> </xsd:choice> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/2)
calculation

  Type: | Calculation, complex content

  The parameters used in the calculation of fixed or floaring rate calculation period amounts.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="calculation" type="Calculation"/>

knownAmountSchedule

  Type: | AmountSchedule, complex content

  The known calculation period amount or a known amount schedule expressed as explicit known amounts and dates. In the case of a schedule, the step dates may be subject to adjustment in accordance with any adjustments specified in calculationPeriodDatesAdjustments.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="knownAmountSchedule" type="AmountSchedule"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.